imu
Device proxies

The imu proxy provides an interface to an Inertial Measurement Unit. More...

## Classes

struct | playerc_imu_t
| IMU proxy state data. More...

## Functions

PLAYERC_EXPORT playerc_imu_t * | playerc_imu_create (playerc_client_t *client, int index)
| Create a imu proxy. More...
PLAYERC_EXPORT void | playerc_imu_destroy (playerc_imu_t *device)
| Destroy a imu proxy. More...
PLAYERC_EXPORT int | playerc_imu_subscribe (playerc_imu_t *device, int access)
| Subscribe to the imu device. More...
PLAYERC_EXPORT int | playerc_imu_unsubscribe (playerc_imu_t *device)
| Un-subscribe from the imu device. More...
PLAYERC_EXPORT int | playerc_imu_datatype (playerc_imu_t *device, int value)
| Change the data type to one of the predefined data structures. More...
PLAYERC_EXPORT int | playerc_imu_reset_orientation (playerc_imu_t *device, int value)
| Reset orientation. More...

## Detailed Description

The imu proxy provides an interface to an Inertial Measurement Unit.

## Function Documentation

PLAYERC_EXPORT playerc_imu_t* playerc_imu_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a imu proxy.

PLAYERC_EXPORT int playerc_imu_datatype | ( | playerc_imu_t * | device,
|  | int | value
| ) |  |

Change the data type to one of the predefined data structures.

PLAYERC_EXPORT void playerc_imu_destroy | ( | playerc_imu_t * | device | ) |

Destroy a imu proxy.

PLAYERC_EXPORT int playerc_imu_reset_orientation | ( | playerc_imu_t * | device,
|  | int | value
| ) |  |

Reset orientation.

PLAYERC_EXPORT int playerc_imu_subscribe | ( | playerc_imu_t * | device,
|  | int | access
| ) |  |

Subscribe to the imu device.

PLAYERC_EXPORT int playerc_imu_unsubscribe | ( | playerc_imu_t * | device | ) |

Un-subscribe from the imu device.

Last updated 12 September 2005 21:38:45